/*
Copyright (C) 2005-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */
package de.drni.bananasplit.affix;

import java.util.Iterator;
import java.util.Vector;

/**
A  class holding inflectional suffixes for German
@author <a href="http://www.drni.de/niels/">Niels Ott</a>
@version $Id: InflectionSuffixCollection.java 37 2009-02-05 15:26:03Z niels $
*/

public class InflectionSuffixCollection implements Iterable<Affix> {

	private Vector<Affix> AffixList;

	/*
	Constructor
	*/
	public InflectionSuffixCollection() {
	
	
		// some inflectional suffixes, inspored by Bhatt(1991)	
	
		AffixList = new Vector<Affix>();

		// nouns
		AffixList.add(new Affix(
			"",""));
		AffixList.add(new Affix(
			"","e"));
		AffixList.add(new Affix(
			"","n"));
		AffixList.add(new Affix(
			"","s"));
		AffixList.add(new Affix(
			"","en"));
		AffixList.add(new Affix(
			"","es"));
		AffixList.add(new Affix(
			"","nen"));
		AffixList.add(new Affix(
			"","em"));
		AffixList.add(new Affix(
			"um","en"));
		AffixList.add(new Affix(
			"","ern"));
			
			
			
		// verbs	
		AffixList.add(new Affix(
			"en","st"));
		AffixList.add(new Affix(
			"n","st"));
		AffixList.add(new Affix(
			"en","te"));
		AffixList.add(new Affix(
			"en","t"));
		AffixList.add(new Affix(
			"n","t"));
		
			
		// adjectivs/comparatives	
		AffixList.add(new Affix(
			"","er"));
		AffixList.add(new Affix(
			"","st"));
		AffixList.add(new Affix(
			"","ster"));
		AffixList.add(new Affix(
			"","sten"));
		AffixList.add(new Affix(
			"","ste"));
		AffixList.add(new Affix(
			"","esten"));
		AffixList.add(new Affix(
			"","lein"));
		AffixList.add(new Affix(
			"","chen"));
		AffixList.add(new Affix(
			"","erlein"));
		AffixList.add(new Affix(
			"","erchen"));
		AffixList.add(new Affix(
			"en","lein"));
		AffixList.add(new Affix(
			"en","chen"));
		AffixList.add(new Affix(
			"e","lein"));
		AffixList.add(new Affix(
			"e","chen"));
			
	}

	
	public Iterator<Affix> iterator() {
		return AffixList.iterator();
	}	

}
