/*
Copyright (C) 2005-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */
package de.drni.bananasplit.affix;

import java.util.Iterator;
import java.util.Vector;

/**
A  class holding umlauting infixes for German
@author <a href="http://www.drni.de/niels/">Niels Ott</a>
@version $Id: UmlautInfixCollection.java 37 2009-02-05 15:26:03Z niels $
*/

public class UmlautInfixCollection implements Iterable<Affix> {

	private Vector<Affix> AffixList;

	/*
	Constructor
	*/
	public UmlautInfixCollection() {
	
		AffixList = new Vector<Affix>();

		// default umlauts
		AffixList.add(new Affix(
			"u","ü"));
		AffixList.add(new Affix(
			"a","ä"));
		AffixList.add(new Affix(
			"o","ö"));
		
	}
	
	public Iterator<Affix> iterator() {
		return AffixList.iterator();
	}	

}
