/*
Copyright (C) 2005-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */
package de.drni.bananasplit.simpledict;

/**
 * An interface to a very simple dictionary which is basically
 * a word list. 
 * @author <a href="http://www.drni.de/niels/">Niels Ott</a>
 * @version $Id:SimpleDictionaryInterface.java 9 2006-11-22 14:10:50Z niels $
 */
public interface SimpleDictionaryInterface {
	
	/**
	 * Searches for a given word in the dictionary or word list.
	 * The treatment of upper/lower case is undefined for this one.
	 * @param word the Word to search for
	 * @return the dictionary entry with the word or null if not found.
	 */
	public SimpleDictEntry findWord(String word);

	/**
	 * Searches for a given word in the dictionary or word list, 
	 * ignoring upper/lower case. 
	 * Ignoring oper/lower case is guaranteed for this one.
	 * @param word the Word to search for
	 * @return the dictionary entry with the word or null if not found.
	 */
	public SimpleDictEntry findWordNoCase(String word);

}
