/*
Copyright (C) 2005-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */

package de.drni.bananasplit.testers;

import de.drni.bananasplit.affix.InflectionSuffixCollection;
import de.drni.bananasplit.omat.SuffixOMat;

/**
 * Tester for the SuffixOmat
 * @author <a href="http://www.drni.de/niels/">Niels Ott</a>
 * @version $Id: SuffixOmatTester.java 37 2009-02-05 15:26:03Z niels $
 */
public class SuffixOmatTester {
	/** 
	Main method for testing
	*/
	public static void main(String[] Args) {
	
		String testword = Args[0];
		
		System.out.println("Possible base forms before suffixation for \"" + 
			testword + "\":");
	
		// test with the proposedfirst part of a compound
		SuffixOMat omat = new
			SuffixOMat(new InflectionSuffixCollection());
			
		omat.init(testword);	
		
		// loop over all possible suffixations
		String test = null;	
		while ( (test = omat.applyNextAffix() ) != null ) {
		
			System.out.println("  " + test
				+ "\t" + omat.lastAppliedAffix());
		
		}
		
		omat.init(testword);	
	
	
	}
}
